Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Monkey

    java.lang.Object
      com.ibm.able.examples.rules.Monkey

All Implemented Interfaces:
  java.io.Serializable

public class Monkey
extends java.lang.Object
implements java.io.Serializable

A monkey has a location, is on top of an object, and can hold an object.

See Also:
  Serialized Form

Constructor Summary
`Monkey()`
`Monkey(java.lang.String location, java.lang.String onTopOf, java.lang.String holding)`

Method Summary
`java.lang.String` | `getHolding()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getOnTopOf()`
`void` | `setHolding(java.lang.String holding)`
`void` | `setLocation(java.lang.String location)`
`void` | `setOnTopOf(java.lang.String onTopOf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Monkey

    public Monkey()

### Monkey

    public Monkey(java.lang.String location,
                  java.lang.String onTopOf,
                  java.lang.String holding)

Method Detail

### getLocation

    public java.lang.String getLocation()

### setLocation

    public void setLocation(java.lang.String location)

### getOnTopOf

    public java.lang.String getOnTopOf()

### setOnTopOf

    public void setOnTopOf(java.lang.String onTopOf)

### getHolding

    public java.lang.String getHolding()

### setHolding

    public void setHolding(java.lang.String holding)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005